Downgrading 1.1.3 to 1.1.1.. iTunes error

Discussion in 'iPod touch Firmware 1.1.3 Discussions' started by djservo, Jan 26, 2008.

  1. djservo

    djservo New Member

    Jan 21, 2008
    Likes Received:
    I tried downgrading my iPod Touch from 1.1.3 to 1.1.1 using iTunes 7.5, what I did was i uninstalled my iTunes 7.6 and installed 7.5 but it didn't actually worked out for me so I tried to install back my 7.6 but the thing is I got some error on my iTunes 7.6 "The iPod cannot be used because the required software is not installed. Run the iTunes installer to remove iTunes, then install iTunes again", I already tried this a lot of times but to no avail. Please, can someone help me with it.

Share This Page